/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

import java.math.BigDecimal;
import java.sql.Timestamp;
import org.compiere.util.KeyNamePair;

/** Generated Interface for AD_Process
 *  @author iDempiere (generated) 
 *  @version Release 8.2
 */
public interface I_AD_Process 
{

    /** TableName=AD_Process */
    public static final String Table_Name = "AD_Process";

    /** AD_Table_ID=284 */
    public static final int Table_ID = 284;

    KeyNamePair Model = new KeyNamePair(Table_ID, Table_Name);

    /** AccessLevel = 4 - System 
     */
    BigDecimal accessLevel = BigDecimal.valueOf(4);

    /** Load Meta Data */

    /** Column name AccessLevel */
    public static final String COLUMNNAME_AccessLevel = "AccessLevel";

	/** Set Data Access Level.
	  * Access Level required
	  */
	public void setAccessLevel (String AccessLevel);

	/** Get Data Access Level.
	  * Access Level required
	  */
	public String getAccessLevel();

    /** Column name AD_Client_ID */
    public static final String COLUMNNAME_AD_Client_ID = "AD_Client_ID";

	/** Get Client.
	  * Client/Tenant for this installation.
	  */
	public int getAD_Client_ID();

    /** Column name AD_CtxHelp_ID */
    public static final String COLUMNNAME_AD_CtxHelp_ID = "AD_CtxHelp_ID";

	/** Set Context Help	  */
	public void setAD_CtxHelp_ID (int AD_CtxHelp_ID);

	/** Get Context Help	  */
	public int getAD_CtxHelp_ID();

	public org.compiere.model.I_AD_CtxHelp getAD_CtxHelp() throws RuntimeException;

    /** Column name AD_Form_ID */
    public static final String COLUMNNAME_AD_Form_ID = "AD_Form_ID";

	/** Set Special Form.
	  * Special Form
	  */
	public void setAD_Form_ID (int AD_Form_ID);

	/** Get Special Form.
	  * Special Form
	  */
	public int getAD_Form_ID();

	public org.compiere.model.I_AD_Form getAD_Form() throws RuntimeException;

    /** Column name AD_Org_ID */
    public static final String COLUMNNAME_AD_Org_ID = "AD_Org_ID";

	/** Set Organization.
	  * Organizational entity within client
	  */
	public void setAD_Org_ID (int AD_Org_ID);

	/** Get Organization.
	  * Organizational entity within client
	  */
	public int getAD_Org_ID();

    /** Column name AD_PrintFormat_ID */
    public static final String COLUMNNAME_AD_PrintFormat_ID = "AD_PrintFormat_ID";

	/** Set Print Format.
	  * Data Print Format
	  */
	public void setAD_PrintFormat_ID (int AD_PrintFormat_ID);

	/** Get Print Format.
	  * Data Print Format
	  */
	public int getAD_PrintFormat_ID();

	public org.compiere.model.I_AD_PrintFormat getAD_PrintFormat() throws RuntimeException;

    /** Column name AD_Process_ID */
    public static final String COLUMNNAME_AD_Process_ID = "AD_Process_ID";

	/** Set Process.
	  * Process or Report
	  */
	public void setAD_Process_ID (int AD_Process_ID);

	/** Get Process.
	  * Process or Report
	  */
	public int getAD_Process_ID();

    /** Column name AD_Process_UU */
    public static final String COLUMNNAME_AD_Process_UU = "AD_Process_UU";

	/** Set AD_Process_UU	  */
	public void setAD_Process_UU (String AD_Process_UU);

	/** Get AD_Process_UU	  */
	public String getAD_Process_UU();

    /** Column name AD_ReportView_ID */
    public static final String COLUMNNAME_AD_ReportView_ID = "AD_ReportView_ID";

	/** Set Report View.
	  * View used to generate this report
	  */
	public void setAD_ReportView_ID (int AD_ReportView_ID);

	/** Get Report View.
	  * View used to generate this report
	  */
	public int getAD_ReportView_ID();

	public org.compiere.model.I_AD_ReportView getAD_ReportView() throws RuntimeException;

    /** Column name AD_Workflow_ID */
    public static final String COLUMNNAME_AD_Workflow_ID = "AD_Workflow_ID";

	/** Set Workflow.
	  * Workflow or combination of tasks
	  */
	public void setAD_Workflow_ID (int AD_Workflow_ID);

	/** Get Workflow.
	  * Workflow or combination of tasks
	  */
	public int getAD_Workflow_ID();

	public org.compiere.model.I_AD_Workflow getAD_Workflow() throws RuntimeException;

    /** Column name AllowMultipleExecution */
    public static final String COLUMNNAME_AllowMultipleExecution = "AllowMultipleExecution";

	/** Set Multiple Execution.
	  * Allow or disallow executing a process/report multiple times.
	  */
	public void setAllowMultipleExecution (String AllowMultipleExecution);

	/** Get Multiple Execution.
	  * Allow or disallow executing a process/report multiple times.
	  */
	public String getAllowMultipleExecution();

    /** Column name Classname */
    public static final String COLUMNNAME_Classname = "Classname";

	/** Set Classname.
	  * Java Classname
	  */
	public void setClassname (String Classname);

	/** Get Classname.
	  * Java Classname
	  */
	public String getClassname();

    /** Column name CopyFromProcess */
    public static final String COLUMNNAME_CopyFromProcess = "CopyFromProcess";

	/** Set Copy From Report and Process.
	  * Copy settings from one report and process to another.
	  */
	public void setCopyFromProcess (String CopyFromProcess);

	/** Get Copy From Report and Process.
	  * Copy settings from one report and process to another.
	  */
	public String getCopyFromProcess();

    /** Column name Created */
    public static final String COLUMNNAME_Created = "Created";

	/** Get Created.
	  * Date this record was created
	  */
	public Timestamp getCreated();

    /** Column name CreatedBy */
    public static final String COLUMNNAME_CreatedBy = "CreatedBy";

	/** Get Created By.
	  * User who created this records
	  */
	public int getCreatedBy();

    /** Column name Description */
    public static final String COLUMNNAME_Description = "Description";

	/** Set Description.
	  * Optional short description of the record
	  */
	public void setDescription (String Description);

	/** Get Description.
	  * Optional short description of the record
	  */
	public String getDescription();

    /** Column name EntityType */
    public static final String COLUMNNAME_EntityType = "EntityType";

	/** Set Entity Type.
	  * Dictionary Entity Type;
 Determines ownership and synchronization
	  */
	public void setEntityType (String EntityType);

	/** Get Entity Type.
	  * Dictionary Entity Type;
 Determines ownership and synchronization
	  */
	public String getEntityType();

    /** Column name ExecutionType */
    public static final String COLUMNNAME_ExecutionType = "ExecutionType";

	/** Set Execution Type.
	  * Execution Type defines whether the report/process will always run in background or foreground. 
	  */
	public void setExecutionType (String ExecutionType);

	/** Get Execution Type.
	  * Execution Type defines whether the report/process will always run in background or foreground. 
	  */
	public String getExecutionType();

    /** Column name Help */
    public static final String COLUMNNAME_Help = "Help";

	/** Set Comment/Help.
	  * Comment or Hint
	  */
	public void setHelp (String Help);

	/** Get Comment/Help.
	  * Comment or Hint
	  */
	public String getHelp();

    /** Column name IsActive */
    public static final String COLUMNNAME_IsActive = "IsActive";

	/** Set Active.
	  * The record is active in the system
	  */
	public void setIsActive (boolean IsActive);

	/** Get Active.
	  * The record is active in the system
	  */
	public boolean isActive();

    /** Column name IsBetaFunctionality */
    public static final String COLUMNNAME_IsBetaFunctionality = "IsBetaFunctionality";

	/** Set Beta Functionality.
	  * This functionality is considered Beta
	  */
	public void setIsBetaFunctionality (boolean IsBetaFunctionality);

	/** Get Beta Functionality.
	  * This functionality is considered Beta
	  */
	public boolean isBetaFunctionality();

    /** Column name IsDirectPrint */
    public static final String COLUMNNAME_IsDirectPrint = "IsDirectPrint";

	/** Set Direct print.
	  * Print without dialog
	  */
	public void setIsDirectPrint (boolean IsDirectPrint);

	/** Get Direct print.
	  * Print without dialog
	  */
	public boolean isDirectPrint();

    /** Column name IsReport */
    public static final String COLUMNNAME_IsReport = "IsReport";

	/** Set Report.
	  * Indicates a Report record
	  */
	public void setIsReport (boolean IsReport);

	/** Get Report.
	  * Indicates a Report record
	  */
	public boolean isReport();

    /** Column name JasperReport */
    public static final String COLUMNNAME_JasperReport = "JasperReport";

	/** Set Jasper Report	  */
	public void setJasperReport (String JasperReport);

	/** Get Jasper Report	  */
	public String getJasperReport();

    /** Column name Name */
    public static final String COLUMNNAME_Name = "Name";

	/** Set Name.
	  * Alphanumeric identifier of the entity
	  */
	public void setName (String Name);

	/** Get Name.
	  * Alphanumeric identifier of the entity
	  */
	public String getName();

    /** Column name ProcedureName */
    public static final String COLUMNNAME_ProcedureName = "ProcedureName";

	/** Set Procedure.
	  * Name of the Database Procedure
	  */
	public void setProcedureName (String ProcedureName);

	/** Get Procedure.
	  * Name of the Database Procedure
	  */
	public String getProcedureName();

    /** Column name ShowHelp */
    public static final String COLUMNNAME_ShowHelp = "ShowHelp";

	/** Set Show Help	  */
	public void setShowHelp (String ShowHelp);

	/** Get Show Help	  */
	public String getShowHelp();

    /** Column name Statistic_Count */
    public static final String COLUMNNAME_Statistic_Count = "Statistic_Count";

	/** Set Statistic Count.
	  * Internal statistics how often the entity was used
	  */
	public void setStatistic_Count (int Statistic_Count);

	/** Get Statistic Count.
	  * Internal statistics how often the entity was used
	  */
	public int getStatistic_Count();

    /** Column name Statistic_Seconds */
    public static final String COLUMNNAME_Statistic_Seconds = "Statistic_Seconds";

	/** Set Statistic Seconds.
	  * Internal statistics how many seconds a process took
	  */
	public void setStatistic_Seconds (int Statistic_Seconds);

	/** Get Statistic Seconds.
	  * Internal statistics how many seconds a process took
	  */
	public int getStatistic_Seconds();

    /** Column name Updated */
    public static final String COLUMNNAME_Updated = "Updated";

	/** Get Updated.
	  * Date this record was updated
	  */
	public Timestamp getUpdated();

    /** Column name UpdatedBy */
    public static final String COLUMNNAME_UpdatedBy = "UpdatedBy";

	/** Get Updated By.
	  * User who updated this records
	  */
	public int getUpdatedBy();

    /** Column name Value */
    public static final String COLUMNNAME_Value = "Value";

	/** Set Search Key.
	  * Search key for the record in the format required - must be unique
	  */
	public void setValue (String Value);

	/** Get Search Key.
	  * Search key for the record in the format required - must be unique
	  */
	public String getValue();

    /** Column name WorkflowValue */
    public static final String COLUMNNAME_WorkflowValue = "WorkflowValue";

	/** Set Workflow Key.
	  * Key of the Workflow to start
	  */
	public void setWorkflowValue (String WorkflowValue);

	/** Get Workflow Key.
	  * Key of the Workflow to start
	  */
	public String getWorkflowValue();
}
